<chapter id="installation">
<title
>Installation </title>

<epigraph>
<attribution
>Linus Torvalds, nachdem er feststellte, dass eines seiner Dateisysteme durch eine neue BETA-Version des Kernels zerstört worden war</attribution>
<para
>Coredumps beim Prüfen der Festplatte machen mich irgendwie nervös</para>
</epigraph>

<para
>Nur die Ruhe. Auch wenn die Verwendung von Betaversionen einige Nerven kosten kann, ist es unwahrscheinlich, dass die KDE-Installation Ihre Festplatte beschädigt. Dieses Kapitel soll Sie durch den Installationsprozess führen, damit Sie so schnell (und mit so wenig Problemen) wie möglich einen Blick auf Ihre neue Arbeitsumgebung werfen können. Wie bei allen neuen Fenstermanagern sollten Sie auch für diese Installation alle X11-spezifischen Konfigurationsdateien vor der Installation sichern. Im Zweifelsfall sind das alle versteckten Dateien (<filename
>.*</filename
>) im Persönlichen Ordner und der Inhalt des Ordners <filename
>/usr/X11/lib/X11/xdm</filename
>. </para
> 

<sect1 id="requirements">
<title
>Voraussetzungen </title>

<para
>Vor der Installation von KDE sollten Sie sicherstellen, dass Ihr System folgende Voraussetzungen erfüllt: </para>

<itemizedlist>

<listitem
><para
>Es sollte sich um ein funktionstüchtiges POSIX-kompatibles UNIX-System handeln. KDE funktioniert unter anderem auf folgenden Systemen: Linux, FreeBSD, Solaris, HP-UX und MkLinux. An der Verfügbarkeit auf anderen Plattformen wird gearbeitet. </para
></listitem>

<listitem
><para
>Genügend freier Festplattenplatz auf der Partition, auf der <filename
>/opt/kde</filename
> angelegt wird. Sie sollten hierfür ca. 50MB reservieren, falls Ihr System Bibliotheken (shared libraries) unterstützt, ansonsten erheblich mehr. Für die Kompilierung von KDE aus den Quelldateien benötigen Sie zusätzlich ca. 100MB in <filename
>/usr/src</filename
>.</para
></listitem>

<listitem
><para
>Ein funktionierendes X11-System mit oder ohne <application
>xdm</application
>. Wenn Sie bislang noch kein X-Window-System installiert haben, sollten Sie zunächst prüfen, ob sich eines auf den Installationsmedien Ihres Systems befindet. Finden Sie keine funktionsfähige Version, können Sie auf der <ulink url="http://www.xfree86.org"
>XFree86 Internetseite</ulink
> weitere Informationen darüber, woher Sie ein X-Window-System bekommen und wie es installiert wird. Eine weitere Möglichkeit besteht darin, sich an den Hersteller Ihres UNIX-Systems zu wenden. </para
></listitem>

<listitem
><para
>Die Qt-Bibliotheken, Version 3.0.2. Sie können diese von <ulink url="ftp://ftp.trolltech.com/qt"
>Troll Techs FTP-Server</ulink
> im tgz-Format beziehen. </para>
</listitem>
</itemizedlist>

<warning
><para
>Zunächst eine Warnung: Falls Sie KDE von einer älteren Version aktualisieren, sollten Sie vorher das Folgende tun:</para>

<screen
><command
>cd <filename
>/opt/kde</filename
></command
> 
<command
>tar <option
>cfvz <replaceable
>~/KDE-alte-version-backup.tar.gz</replaceable
> * </option
></command
>
</screen>
</warning>

</sect1>

<sect1 id="linux-installing-rpms">
<title
>Linux: Installation von RPMs für RedHat, Caldera und SuSE.</title>

<para
>Die Installation von RPMs ist der einfachste Weg zu einem funktionstüchtigen KDE. Schauen Sie einfach im Ordner <filename
>/pub/kde/stable/distribution/rpm</filename
> auf dem bevorzugten KDE-Spiegel nach. Dort finden sich Ordner für die verschiedenen Betriebssysteme. Aktuell werden die Architekturen i386, Alpha und Sparc unterstützt. Die RPM-Pakete finden sich auch auf den Red-Hat-Contrib-Seiten wie sunsite.unc.edu oder ftp.redhat.com. </para>

<para
>Das Grundsystem besteht aus den Dateien mit der Bezeichnung <filename
>kde-<replaceable
>Komponente</replaceable
>.<replaceable
>Architektur</replaceable
>.rpm</filename
>. Sie benötigen in jedem Fall kdesupport, kdelibs und kdebase. Zusätzlich zu diesem Grundsystem können Sie alle RPMs herunterladen, die Ihnen nützlich erscheinen. </para>

<para
>Beginnen Sie die Installation mit dem Grundpaket. Installieren Sie KDE zum ersten Mal, verwenden Sie folgende Befehle </para>

<screen
><userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdesupport.arch.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdelibs.arch.rpm</filename
></userinput>
<userinput
><command
>rpm</command
> <option
>-i</option
> <filename
>kdebase.arch.rpm</filename
></userinput
>
</screen>
 
<important
><para
>Es ist notwendig, dass diese Komponenten genau in der beschriebenen Reihenfolge und vor jeder weiteren Komponente von KDE installiert werden.</para
></important>

<para
>Aktualisieren Sie eine ältere Version, sollten Sie folgende Befehle verwenden: <screen
><userinput
><command
>rpm</command
> <option
>-Uvh</option
> <filename
>kde-<replaceable
>Komponente</replaceable
>.<replaceable
>arch</replaceable
>.rpm</filename
></userinput
>
</screen>
</para>

<para
>Auch hier muss die oben angegebene Reihenfolge unbedingt eingehalten werden. Die genannten Komponenten müssen zuerst installiert werden.</para>

<para
>Damit wird das Grundsystem ausgepackt und standardmäßig unter <filename
>/opt/kde</filename
> installiert.</para>

<para
>War die Installation der Grundpakete erfolgreich, können Sie weitere Pakete auf die gleiche Art installieren (Verwenden Sie auch hier bei einer Aktualisierung <option
>-Uvh</option
> anstelle von <option
>-i</option
>). </para>

</sect1>

<sect1 id="installing-debian">
<title
>Linux: Installation von <acronym
>DEB</acronym
>s für Debian</title>

<para
>Die Installation auf einem Debian-System ist genauso einfach. Für Debian 2.2 (Potato) und 3.0 (Woody) findet man nur KDE 2.0-Pakete. Hier wird lediglich die Installation auf der stabilen Version Debian 2.2 beschrieben, da sich Debian 3.0 immer noch in der Entwicklung befindet. Die Installation für beide Versionen ist allerdings beinahe identisch. Im Unterschied zu 2.2 ist KDE offizieller Bestandteil von Debian 3.0, weshalb man keine besondere Quelle angeben muss, damit die KDE-Pakete gefunden werden.</para>

<para
>Im ersten Schritt müssen Sie dem Rechner mitteilen, wo sich die DEB-Pakete für KDE befinden. Eine Liste der Debian-Pakete befindet sich auf der Festplatte unter <filename
>/etc/apt/sources.list</filename
>. Zu dieser Liste müssen Sie die folgende Zeile hinzufügen: <userinput
>http://kde.tdyc.com/ stable kde2</userinput
></para>

 
<para
>Jetzt müssen Sie die lokale Paketdatenbank aktualisieren, um dem System mitzuteilen, dass neue Pakete verfügbar sind. Dazu geben Sie den folgenden Befehl ein:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>update</option
></userinput
>
</screen>
 
<para
>Schließlich wird das KDE-Grundsystem mit dem folgenden Befehl installiert:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput
>
</screen>
 
<para
>Möchten Sie weitere Komponenten installieren, sollten Sie einige oder alle der folgenden Anweisungen versuchen:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput
>
</screen>

<para
>Wahrscheinlich möchten Sie auch das Paket für die Unterstützung der eigenen Sprache installieren.</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install
kde-i18n-<replaceable
>xx</replaceable
></option
></userinput
>
 </screen>
<para
>Ersetzen Sie hierbei <replaceable
>xx</replaceable
> durch die passende Länderkennung für Ihre Sprache.</para>

<para
>Die Steuerdateien einiger KDE-Programme werden unter <filename class="directory"
>/etc/kde2</filename
> abgelegt, die Programme unter <filename class="directory"
>/usr/bin</filename
> und die meisten Hilfsdateien landen in verschiedenen Ordnern unter <filename class="directory"
>/usr/share</filename
>. </para>

<para
>Aktualisieren Sie eine ältere KDE-Version, sollten Sie vorher die folgenden Schritte unternehmen. Aktualisieren Sie zunächst die Datei <filename
>/etc/apt/sources.list</filename
>, indem Sie die Zeile für die Quelle der KDE-Pakete durch die Zeile <userinput
>http://kde.tdyc.com/ stable kde2</userinput
> ersetzen. Dann aktualisieren Sie die Paketdatenbank:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>update</option
></userinput
>
</screen>
 
<para
>Schließlich installieren Sie das KDE-Grundsystem:</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install kdebase</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>dist-upgrade</option
></userinput
>
</screen>
 
<para
>Möchten Sie weitere KDE-Komponenten installieren, sollten Sie einige oder alle hier aufgeführten Anweisungen ausprobieren.</para>

<screen
><userinput
><command
>apt-get</command
> <option
>install task-kdenetwork</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeadmin</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdetoys</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdeutils</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdemultimedia</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegraphics</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdepim</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-kdegames</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install task-koffice</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdebase-docs</option
></userinput>
<userinput
><command
>apt-get</command
> <option
>install kdm</option
></userinput
>
</screen>

</sect1>

<sect1 id="source-distribution">
<title
>Kompilierung der Quelltexte zur Installation auf anderen Systemen </title>

<para
>Verwendet die eigene Linux-Distribution keine RPM- oder DEB-Archive, oder arbeiten Sie mit einem anderen Betriebssystem, müssen Sie die KDE-Pakete selbst kompilieren. Zukünftig ist eine Binärdistribution mit eigenem Installationsprogramm geplant. </para>

<para
>Um KDE kompilieren und installieren zu können, müssen die folgenden Hilfsmittel auf Ihrem System installiert sein: </para>

<itemizedlist>
<listitem
><para
>Ein ANSI-C-Compiler, z.B. der <abbrev
>GNU</abbrev
>-C-Compiler. </para
></listitem>
<listitem
><para
>Ein ANSI-C++-Compiler, z.B. der <abbrev
>GNU</abbrev
>-C++-Compiler. </para
></listitem>
<listitem
><para
>Das Hilfsprogramm <application
>make</application
>. </para
></listitem>
<listitem
><para
>Die Entwicklerversion von Qt 2.2 oder eine neuere Version.</para
></listitem>
<listitem
><para
>Die Entwicklerversion von X11 (häufig fehlen Include-Dateien) </para
></listitem>
</itemizedlist>

<para
>Wenn Sie alle benötigten Hilfsprogramme beisammen haben, besorgen Sie sich von einem KDE-Spiegel die folgende Dateien aus dem Ordner <filename
>/pub/kde/stable/<replaceable
>neueste Version</replaceable
></filename
>:</para>

<itemizedlist>
<listitem
><para
><filename
>kdesupport-<replaceable
>version</replaceable
>.tar.gz</filename
></para
></listitem>
<listitem
><para
><filename
>kdelibs-<replaceable
>version</replaceable
>.tar.gz</filename>
</para
></listitem>
<listitem
><para
><filename
>kdebase-<replaceable
>version</replaceable
>.tar.gz</filename
></para
></listitem>
<listitem
><para
>sowie alle anderen Pakete, die Sie installieren möchten. Sinnvoll ist zumindest kdeutils. </para
></listitem>
</itemizedlist>

<para
>Bei allen genannten Paketen steht <replaceable
>version</replaceable
> für die aktuelle Versionsnummer. Nachdem Sie alle benötigten Dateien haben, packen Sie diese unter <filename
>/usr/src</filename
> aus. Es ergibt sich folgende Ordnerstruktur:</para>

<itemizedlist>
<listitem
><para
><filename
>/usr/src/kdesupport</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/kdelibs</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/kdebase</filename
></para
></listitem>
<listitem
><para
><filename
>/usr/src/...</filename
> (alle weiteren Pakete)</para
></listitem>
</itemizedlist>

<para
>Stellen Sie sicher, dass Sie über Schreibrechte in <filename
>/opt/kde</filename
> verfügen.</para>

<para
>Nun müssen Sie die Pakete mit folgenden Befehlen kompilieren und installieren: </para>

<procedure>
<step
><para
>Wechseln Sie mit <command
>cd</command
> in den Ordner des Paketes, das Sie installieren möchten (siehe oben)</para
></step>
<step
><para
><command
>./configure</command
> (mit den gewünschten Optionen)</para
></step>
<step
><para
><command
>make</command
></para
></step>
<step
><para
><command
>make install</command
></para
></step>
</procedure>

<para
>Diese Schritte müssen für jedes zu installierende Paket ausgeführt werden.</para>

<note
><para
>Diese Instruktionen gelten übrigens auf nahezu jedes Quelltextpaket, nicht nur für die KDE-Pakete. </para
></note>

<para
>Jedes configure-Skript stellt verschiedene Optionen bereit. Einige davon sind allgemeingültig, andere wiederum paketspezifisch. Der folgende Ausschnitt stammt aus der Ausgabe des Befehls <command
>configure <option
>--help</option
></command
> in kdelibs:</para>

<screen
><computeroutput>
  --disable-fast-perl     disable fast Makefile generation (needs perl)
  --enable-debug          creates debugging code [default=no]
  --enable-strict         compiles with strict compiler options (may not work!)
  --enable-profile        creates profiling infos [default=no]
  --enable-final          build size optimized apps (experimental - needs lots of memory)
  --disable-closure       don't delay template instantiation
  --enable-shared[=PKGS]  build shared libraries [default=yes]
  --enable-static[=PKGS]  build static libraries [default=no]
  --enable-fast-install[=PKGS]  optimize for fast installation [default=yes]
  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
  --disable-libtool-lock  avoid locking (might break parallel builds)
  --with-pic              try to use only PIC/non-PIC objects [default=use both]
  --with-extra-includes=DIR
                          adds non standard include paths
  --with-extra-libs=DIR   adds non standard library paths
  --with-qt-dir=DIR       where the root of Qt is installed
  --with-qt-includes=DIR  where the Qt includes are.
  --with-qt-libraries=DIR where the Qt library is installed.
  --disable-rpath         do not use the rpath feature of ld
  --disable-path-check    don't try to find out, where to install
  --with-xdmdir           If the xdm config dir can't be found automatically
  --with-pam[=ARG]        enable support for PAM: ARG=[yes|no|service name]
  --with-shadow           If you want shadow password support
  --with-krb4[=PATH]      Compile in Kerberos v4 support.
  --with-afs              Compile in AFS support (requires KTH krb4).
  --with-ldap[=PATH]      Compile in LDAP support.
  --with-samba-libs=path  Use Samba-tng libs in 'path'                [search]
  --without-gl            disable 3D GL modes
  --without-xpm           disable color pixmap XPM tests
  --without-dpms          disable DPMS power saving
  --with-x                use the X Window System
  --with-motif-includes=DIR    Motif include files are in DIR
  --with-motif-libraries=DIR   Motif libraries are in DIR                           
</computeroutput
>
</screen>

<para
>Viele Optionen sind nicht erforderlich und nur zur Umgehung bekannter Probleme gedacht (z.B. <option
>--disable-FEATURE</option
>). Da einige Optionen sehr wichtig sind (z.B. <emphasis
>--with-shadow</emphasis
>), sollten Sie aber immer einen Blick auf die verfügbaren Optionen werfen.</para>

<para
>Eine der wichtigsten Optionen ist <option
>--prefix</option
>. Diese Option legt fest, in welchen Pfad configure installieren soll (bei kdesupport und kdelibs) oder wo sich die Bibliotheken befinden (für alle anderen Pakete). Als Voreinstellung verwendet configure den Ordner <filename
>/opt/kde</filename
>. Möchten Sie KDE stattdessen unter <filename
>/usr/local</filename
> installieren, können Sie sich dazu der Angabe <command
>configure <option
>--prefix /usr/local/kde</option
></command
> bedienen.</para>

<para
>Haben Sie die Qt-Bibliotheken an einer ungewöhnlichen Stelle installiert, z.B. unter <filename
>$HOME/src/qt</filename
>, so müssen Sie die Option <command
>configure <option
>--with-qt-dir=$HOME/src/qt</option
></command
> verwenden. Standardmäßig sucht configure Qt in den am häufigsten verwendeten Ordnern.</para>

<para
>Stoßen Sie auf Probleme, die Sie nicht lösen können, sollten Sie eine Kopie der Datei <filename
>config.log</filename
> an die in der Datei <filename
>README</filename
> des problematischen Pakets angegebene Adresse senden.</para>

<para
>Die Installation von KDE muss in der folgende Reihenfolge erfolgen: kdesupport, kdelibs, dann die Programmpakete (z.B. kdebase). Die Programmpakete sollten nur von kdelibs abhängig sein, so dass sie parallel übersetzt werden können (falls Ihr Rechner dies hergibt).</para>

<para
>Verwenden Sie ein Multiprozessorsystem, können Sie den Befehl <command
>make <option
> -j <replaceable
>Anzahl der Prozessoren</replaceable
></option
></command
> an Stelle von <command
>make</command
> ausprobieren. </para>

<sect2>
<title
>Plattformspezifische Hinweise </title>

<sect3>
<title
>Linux </title>

<para
>Die meisten der unter Linux für KDE notwendigen Programme finden Sie entweder auf <ulink url="ftp://sunsite.unc.edu/pub/Linux/GCC"
>ftp://sunsite.unc.edu/pub/Linux/GCC</ulink
> oder <ulink url="ftp://sunsite.unc.edu/pub/GNU"
>ftp://sunsite/unc.edu/pub/GNU</ulink
>. Die Quelltexte der Qt-Bibliotheken finden Sie unter <ulink url="ftp://ftp.troll.no/pub/qt/source"
>ftp://ftp.troll.no/pub/qt/source</ulink
>. Detailierte Installationsanweisungen werden mitgeliefert. Include-Dateien der X11-Programme finden Sie im Bereich xdevel unter <ulink url="ftp://ftp.xfree86.org"
>ftp://ftp.xfree86.org</ulink
>. </para>

</sect3>
</sect2>
</sect1>

<sect1 id="suse-install">
<title
>Erforderliche Änderungen an Ihren Konfigurationsdateien </title>
<para
>Nachdem Sie die KDE-Binärdateien installiert haben, müssen Sie einige Anpassungen an Ihren Start-Skripten vornehmen. </para>
<para
>Die folgende Vorgehensweise wurde unter SuSE Linux 5.0 getestet und sollte auf allen populären UNIX-Varianten ebenfalls funktionieren. <emphasis
>Legen Sie immer Sicherheitskopien der Konfigurationsdateien an, bevor Sie etwas ändern.</emphasis
> Fügen Sie Folgendes an das Ende von /etc/profile an: </para>
<para
> 
<screen
>export PATH=$PATH:/opt/kde/bin 
export KDEDIR=/opt/kde
</screen>
 </para>
<para
>Als nächstes müssen Sie die .xinitrc-Datei in Ihrem Persönlichen Ordner anpassen. Die Zeile, die den Fenstermanager startet, muss durch <literal
>startkde</literal
> ersetzt werden.</para>
<para
>Da nun alle Vorbereitungen zum Start von KDE abgeschlossen sind, können Sie mit Kapitel 4 fortfahren. Darin wird der erste Start von KDE beschrieben. Treten Probleme auf, müssen Sie KDE vermutlich selbst kompilieren. Informationen hierzu finden Sie unter <emphasis
><link linkend="source-distribution"
>Kompilierung der Quelltexte zur Installation auf anderen Systemen</link
></emphasis
>. </para>
<para
>Die Installation ist so narrensicher wie möglich, daher sollten keine ernsten Probleme auftreten, solange Ihre Rechnerkonfiguration nicht allzu exotisch ist. Bei Problemen wenden Sie sich an die <link linkend="mailing-lists"
>KDE-Mailinglisten</link
>. </para>
</sect1>
</chapter>
<!--
Local Variables:
mode: sgml
sgml-omittag:nil
sgml-shorttag:t
sgml-namecase-general:t
sgml-general-insert-case:lower
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:0
sgml-indent-data:nil
sgml-parent-document:("index.docbook" "book" "chapter")
End:
-->